<div class="panel panel-default">
    <div class="panel-heading">
        <div class="btn-group float-Left">
            <span class="float-left"><span class="font-weight-bold">{{vm.Model.Topic}}</span> Search</span>
        </div>
        <div class="btn-group float-right">
            <button class="btn btn-info"
                    [ngClass]="{disabled : vm.IsSearchInProgress}"
                    (click)="!vm.IsSearchInProgress && RerunSearchAction()"> Rerun <span
                class="text-monospace">{{ProgressIndicator | async}}</span>
            </button>
        </div>
    </div>
    <div class="panel-body">
        <carousel [itemsPerSlide]="1"
                  [singleSlideOffset]="false"
                  [noWrap]="true"
                  [interval]="false"
                  [startFromIndex]="0" class="margin-top-20 margin-bottom-40">
            <div class="container">
                <slide *ngFor="let _result of vm.Model.Results | async; let _index = index">
                    <div style="display: block; width: 100%;" class="small">
                        <pre>Search Result {{_index + 1}}.</pre>
                        <div>
                            Most Popular Topic
                            <div class="lead">{{_result.MostPopularTopic}}</div>
                        </div>
                        <div>
                            Total answers
                            <div class="lead">{{_result.TotalAnswers}}</div>
                        </div>
                        <div>
                            Topics Answered
                            <div class="lead">
                                {{_result.TotalAnswered}} of {{_result.Results.length}} ({{_result.AnswerStatistic}}%)
                            </div>
                        </div>
                    </div>
                </slide>
            </div>
        </carousel>
        <hr/>
        <accordion [isAnimated]="true" [closeOthers]="true">
            <accordion-group *ngFor="let _result of vm.Model.Results | async; let _index = index"
                             heading="Search Result {{_index + 1}}.">
                <div class="text-left small">
                    <div>
                        Most Popular Topic
                        <div class="lead">{{_result.MostPopularTopic}}</div>
                    </div>
                    <div>
                        Total answers:
                        <div class="lead">{{_result.TotalAnswers}}</div>
                    </div>
                    <div>
                        Topics Answered
                        <div class="lead">
                            {{_result.TotalAnswered}} of {{_result.Results.length}} ({{_result.AnswerStatistic}}%)
                        </div>
                    </div>
                </div>
            </accordion-group>
        </accordion>
    </div>
</div>
